package com.bonus.zlpt.equip.mapper;

import java.util.List;

import com.bonus.zlpt.equip.api.domain.UpOff;
import com.bonus.zlpt.equip.api.domain.dto.UpOffDto;
import com.bonus.zlpt.equip.api.domain.vo.MaDevInfoVo;

/**
 * 设备上下架管理
Mapper接口
 * 
 * @author xsheng
 * @date 2023-12-02
 */
public interface UpOffMapper 
{
    /**
     * 查询设备上下架管理

     * 
     * @param id 设备上下架管理
主键
     * @return 设备上下架管理

     */
    public UpOff selectUpOffById(Long id);

    /**
     * 查询设备上下架管理
列表
     * 
     * @param upOff 设备上下架管理

     * @return 设备上下架管理
集合
     */
    public List<UpOff> selectUpOffList(UpOff upOff);

    /**
     * 新增设备上下架管理

     * 
     * @param upOff 设备上下架管理

     * @return 结果
     */
    public int insertUpOff(UpOff upOff);

    /**
     * 修改设备上下架管理

     * 
     * @param upOff 设备上下架管理

     * @return 结果
     */
    public int updateUpOff(UpOff upOff);

    /**
     * 删除设备上下架管理

     * 
     * @param id 设备上下架管理
主键
     * @return 结果
     */
    public int deleteUpOffById(Long id);

    /**
     * 批量删除设备上下架管理

     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUpOffByIds(Long[] ids);

    /**
     * 查询装备上架请求信息
     * @param upOffDto
     * @return
     */
    List<MaDevInfoVo> selectList(UpOffDto upOffDto);

    void UpdateUpOffLIst(UpOff upOff);
}
